# SPDX-License-Identifier: (GPL-2.0 OR BSD-2-Clause)
%YAML 1.2
---

$id: http://devicetree.org/schemas/hwmon/nuvoton,nct7363.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Nuvoton NCT7363Y Hardware Monitoring IC

maintainers:
  - Ban Feng <kcfeng0@nuvoton.com>

description: |
  The NCT7363Y is a fan controller which provides up to 16 independent
  FAN input monitors, and up to 16 independent PWM outputs with SMBus interface.

  Datasheets: Available from Nuvoton upon request

properties:
  compatible:
    enum:
      - nuvoton,nct7363
      - nuvoton,nct7362

  reg:
    maxItems: 1

  "#pwm-cells":
    const: 2

patternProperties:
  "^fan-[0-9]+$":
    $ref: fan-common.yaml#
    unevaluatedProperties: false
    required:
      - pwms
      - tach-ch

required:
  - compatible
  - reg
  - "#pwm-cells"

additionalProperties: false

examples:
  - |
    i2c {
        #address-cells = <1>;
        #size-cells = <0>;

        hwmon: hwmon@22 {
            compatible = "nuvoton,nct7363";
            reg = <0x22>;
            #pwm-cells = <2>;

            fan-0 {
                pwms = <&hwmon 0 50000>;
                tach-ch = /bits/ 8 <0x00>;
            };
            fan-1 {
                pwms = <&hwmon 1 50000>;
                tach-ch = /bits/ 8 <0x01>;
            };
        };
    };
